####################  Transport Options ####################
# eg) 127.0.0.1:1314
RECEIVER_ADDR=

# default 1000ms (Min 500, Max 60000)
RECEIVER_RECONNECT_DELAY_TIME=


#################### Runtime Immutable Options ####################
# default 200
TXN_BUFFER_COUNT=

# default 256
MTD_STACK_SIZE=

# default false
USE_RUNTIME_REDEFINE=

# default true
USE_RUNTIME_REDEFINE_HTTP_REMOTE=

# default false
REMOVE_JDBC_ADVICE=

# default false
REMOVE_JDBC_BIND_ADVICE=

# default false
DISABLE_SQL_SID=

# default false
USE_ORACLE_RAC=

# default false
USE_TIBERO_TAC=

# default false
DISABLE_CLASS_SOURCE=

# default false
DISABLE_CLASS_META_CACHING=


####################  Runtime Changeable Options  ####################
# eg) thread name pattern (startsWith)
EXCLUDE_THREAD=

# default false
DISABLE_EXCLUDE_THREAD=

# eg) gif, js, css, xml, jpg, jpeg, png, ico, woff, woff2
EXCLUDE_SERVICE=gif, js, css, xml, jpg, jpeg, png, ico, woff, woff2

# eg) gif, js, css
EXCLUDE_SERVICE_AT_END_TIME=

# eg) prefix1, prefix2
EXCLUDE_TXCODE=

# eg) type.Exception
EXCLUDE_EXCEPTION=weblogic.servlet.jsp.AddToMapException

# eg) type.Exception
INCLUDE_EXCEPTION=

# eg) type.Exception
INCLUDE_EXCEPTION_FOR_ALARM=

# default 0
TXN_ELAPSE_TIME=

# ${TXNNAME}:${TXNTIME(ms)},${TXNNAME}:${TXNTIME(ms)}
CURR_TRACE_TXN=*:3000

# txn name 0:default, 1:parameter, 2:param_nouri, 3:attribute
TRX_NAME_TYPE=

# txn key
TRX_NAME_KEY=

# default false
TRX_NAME_USE_ENCODING=

# default ISO-8859-1
TRX_NAME_ENCODING_FROM=

# default UTF-8
TRX_NAME_ENCODING_TO=

# default UTF-8
REQ_SET_ENCODING_TO=

# default false
USE_TRX_NAME_WHEN_LEAVE=

# default false
ENABLE_TRACE_JSP_CLASS=

# eg) replace number patterns [0-9]+
REPLACE_URL_PATTERNS=

# default 0
TXN_NAME_SET_INDEX=

# default 0
TXN_NAME_SET_INDEX2=

# default 0
TXN_NAME_APPEND_INDEX=

# txn login name 0:default, 1:attribute, 2:cookie
TRX_LOGIN_TYPE=

# txn login key
TRX_LOGIN_KEY=

# default false
ENABLE_ENCRYPT_LOGIN_NAME=

# default empty string
TRX_IP_KEY=

# txn error 0: default, 1: response(500), 2: response(400)
TRX_ERR_TYPE=

# default empty string
TRX_ERR_STATUS=

# 0: none(default), 1: error thread dump, 2: all thread dump
TRX_ERR_STATUS_TYPE=

# default true
DISABLE_WEBID=

# default false
USE_SESSIONID_FOR_WEBID=

# default false
ENABLE_WEB_ID_WHEN_NO_USERAGENT=

# default false
ENABLE_UPDATE_WEBID_COOKIE_TIME=

# default false
TRACE_THREAD_NAME=

# default false
DISABLE_ROOT_METHOD=

# default true
TRACE_DBPOOL_NAME=

# default false
USE_METHOD_SEQ=

# default false
METHOD_DEBUG=

# default 0
MTD_ELAPSE_TIME=

# default 2500
MTD_BUFFER_SIZE=

# default 100
MTD_EXCEPTION_BUFFER_SIZE=

# default 100
MTD_STACK_BUFFER_SIZE=

# default 256
MTD_ERROR_LIMIT=

# default 100000
MTD_LIMIT=

# default false
MTD_PARAM_TRACE=

# default false
RMI_GET_PARAM=

# default 0ms
ACTIVE_ELAPSE_TIME=

# default 200
ACTIVE_MAX_COUNT=

# default false
USE_ETOE_ONLY=

# default true
RT_RMI=

# default ext
RT_RMI_VENDOR=

# default 0ms
RT_RMI_ELAPSE_TIME=

# default 0x00 eg) FILE_OPEN,FILE_CLOSE
RT_FILE=

# default 0x10 eg) SOCKET_OPEN,SOCKET_CLOSE
RT_SOCKET=

# default false
USE_MTD_EXT=

# default false
USE_XRT_HANDLE=

# default false
USE_INACTIVE_SOCKET_RT=

# default false
USE_TRACE_COLLECTION_LEAK=

# default 1000
TRACE_COLLECTION_SIZE=

# default 10000
TRACE_COLLECTION_STACKTRACE_SIZE=

# default 600000ms(10minutes)
TRACE_COLLECTION_REPORT_PERIOD=

# default true
TRACE_JDBC=

# default false
DISABLE_SQL=

# default false
DISABLE_SQL_BIND=

# default false
DISABLE_SQL_FETCH=

# default 20
LIMIT_SQL=

# default false
USE_SQL_SEQ=

# default 0(ms)
SQL_DETAIL_ELAPSE_LIMIT=

# default 20000
SQL_CACHE_MAX_COUNT=

# default false
COMPRESS_SQL=

# default false
CONVERT_SQL_ASCII_TO_KSC5601=

# default null
CONVERT_SQL_ASCII_TO=

# default null
CONVERT_SQL_TEXT_ENCODING_FROM=

# default null
CONVERT_SQL_TEXT_ENCODING_TO=

# default 2048, max 8192
BIND_SIZE=

# default 1024
MONGO_BIND_SIZE=

# default 50ms
BIND_ELAPSE_TIME=

# default false
ENABLE_ENCRYPT_SQL_BIND=

# default false
TRACE_FETCH_METHOD=

# default false
TRACE_MONGO_FETCH=

# default 0
THROW_TXN_FETCH_COUNT=

# default 0
THROW_SQL_FETCH_COUNT=

# eg) gif, js, css
THROW_EXCLUDE_SERVICE=

# default 2000
CONNECTION_LIMIT=

# default false
GET_SID_WHEN_STMT=

# default 600000ms(10minutes)
GET_SID_WHEN_STMT_LIMIT=

# default false
CHANGE_DB2_SID_QUERY=

# default false
USE_TRACE_ORACLE=

# default false
USE_TRACE_ORACLE_CLEAR_PING=

# default false
USE_TRACE_TIBERO=

# default true
USE_JMX=

# default false
TRACE_METHOD_MEMORY=

# default false
TRACE_METHOD_CPUTIME=

# default false
TXN_MEMORY=

# default false
TXN_CPU_TIME=

# default false
TXN_CPU_CORE=

# error.jsp
REDIRECT_URL=

# default empty string
PLC_MESSAGE=

# default empty string
RUM_MESSAGE=

# default 3600
RUM_SCRIPT_INJECTION_CLIENT_RESET_SECOND=

# default -1
RUM_SCRIPT_INJECTION_CLIENT_COUNT=

# default false
USE_TRACE_CLIENT_TIME=

# default empty string
TRACE_CLIENT_TIME_POSTFIX=

# eg) 192.168.0.10:8082
TRACE_CLIENT_TIME_ADDR=

# default false
RESP_HTML_SCRIPT=

# default 50ms
RESP_HTML_ELAPSE_TIME=

# eg) .*\.jsp
RESP_HTML_SCRIPT_TARGET=.*\.jsp

# default 1,2,3, 1: Environment, 2: InetAddress, 3: Command
HOSTNAME_COLLECT_TYPE_PRIORITY=

# default 50
ACTIVE_STACK_MAX_LINE=

# default 10
ACTIVE_STACK_INTERVAL_ELAPSE=

# default 0sec
APP_SLEEP=

# default true
ENABLE_RELOAD_ADVICE=

# ${ALERT}:${RESTART}:${LEVEL},${ALERT}:${RESTART}:${LEVEL}
LOG_ALERT=1:java.lang.OutOfMemoryError,2:container {0} booted

# default false
RESP_HEADER_TID=

# default false
TRACE_SIMPLE_METHOD=

# default 60KB
MTD_MAX_SIZE=

# default false
USE_METHOD_LIST=

# default false
USE_JAR_LIST=

# default log eg) log or AbsolutePath
LOG_PATH=

# default -1
LOG_MAX_COUNT=

# default false
EXEM_RUN_ON_CONTAINER=

# default empty string
EXEM_GROUP_ID=

# default 0x000000000 eg) RMI,HTML,RESPONSE,CLASS,GC,UDP,TCP,TRACE,DEBUG
DEBUG=0x000000000
